Bug 876403 - Review Request: perl-ExtUtils-CppGuess - Guess C++ compiler and flags
Review Request: perl-ExtUtils-CppGuess - Guess C++ compiler and flags
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 876405
  Show dependency treegraph
 
Reported: 2012-11-13 21:50 EST by Miro Hrončok
Modified: 2013-01-11 18:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 12:50:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-11-13 21:50:33 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-ExtUtils-CppGuess.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-ExtUtils-CppGuess-0.07-1.fc17.src.rpm

Description:

ExtUtils::CppGuess attempts to guess the system's C++ compiler that is
compatible with the C compiler that your perl was built with.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2012-11-19 16:42:32 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-ExtUtils-CppGuess.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-ExtUtils-CppGuess-0.07-2.fc17.src.rpm

- Removed useless BRs
- Removed perl autofilter
Comment 2 Jitka Plesnikova 2012-12-04 09:14:25 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[!]: Package contains the mandatory BuildRequires and Requires:.
Missing BR
perl(ExtUtils::Manifest)
perl(File::Path)
perl(File::Spec::Functions)
perl(Cwd)
perl(Fatal)
perl(Exporter)

[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (ExtUtils-CppGuess-0.07.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


$ rpm -qp --provides perl-ExtUtils-CppGuess-0.07-2.fc19.noarch.rpm | sort | uniq -c
      1 perl(ExtUtils::CppGuess) = 0.07
      1 perl-ExtUtils-CppGuess = 0.07-2.fc1
Provides are ok

$ rpm -qp --requires perl-ExtUtils-CppGuess-0.07-2.fc19.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(Capture::Tiny)
      1 perl(Config)
      1 perl(File::Basename)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Requires are ok.

$ rpmlint perl-ExtUtils-CppGuess-0.07-2.fc19.noarch.rpm perl-ExtUtils-CppGuess-0.07-2.fc19.src.rpm  perl-ExtUtils-CppGuess.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is ok.


MD5-sum check
-------------
http://www.cpan.org/authors/id/S/SM/SMUELLER/ExtUtils-CppGuess-0.07.tar.gz :
  CHECKSUM(SHA256) this package     : 1cd83ee8452351219b987c79ddb25cc25ee8c396318ba36c5211a92b5c87e7a8
  CHECKSUM(SHA256) upstream package : 1cd83ee8452351219b987c79ddb25cc25ee8c396318ba36c5211a92b5c87e7a8

Generated by fedora-review 0.3.1 (93e63af) last change: 2012-11-30
Buildroot used: fedora-rawhide-x86_64

ISSUES
======
FIX: Add missing BR for tests (./t/lib/TestUtils.pm)
perl(ExtUtils::Manifest)
perl(File::Path)
perl(File::Spec::Functions)
perl(Cwd)
perl(Fatal)
perl(Exporter)


TODO: Replace variable PERL_INSTALL_ROOT obsoleted with DESTDIR name in %install.
TODO: Remove the deleting empty directories in %install section. This is default behavior.


Please correct all 'FIX' issues, consider fixing 'TODO' items and provide new spec file.
Comment 3 Miro Hrončok 2012-12-04 14:05:02 EST
Thanks.
Comment 4 Miro Hrončok 2012-12-04 14:16:05 EST
(In reply to comment #2) 
> TODO: Replace variable PERL_INSTALL_ROOT obsoleted with DESTDIR name in
> %install.
Excuse me, I don't underestadn this. Am I using a PERL_INSTALL_ROOT variable? I cannot see it.

Thanks
Comment 5 Jitka Plesnikova 2012-12-05 02:08:53 EST
It was my mistake, please ignore the comment about PERL_INSTALL_ROOT.
Comment 6 Miro Hrončok 2012-12-05 11:41:11 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-ExtUtils-CppGuess.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-ExtUtils-CppGuess-0.07-3.fc17.src.rpm

- Removed deleting empty dirs
- Added BRs for t/lib/TestUtils.pm
Comment 7 Jitka Plesnikova 2012-12-06 04:33:28 EST
Spec file changes:

 BuildRequires:  perl(Module::Build) >= 0.36
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(Capture::Tiny)
+BuildRequires:  perl(ExtUtils::Manifest)
+BuildRequires:  perl(File::Path)
+BuildRequires:  perl(File::Spec::Functions)
+BuildRequires:  perl(Cwd)
+BuildRequires:  perl(Fatal)
+BuildRequires:  perl(Exporter)

> FIX: Add missing BR for tests (./t/lib/TestUtils.pm)
> perl(ExtUtils::Manifest)
> perl(File::Path)
> perl(File::Spec::Functions)
> perl(Cwd)
> perl(Fatal)
> perl(Exporter)
Ok

 %install
 ./Build install destdir=%{buildroot} create_packlist=0
 find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
-find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

> TODO: Remove the deleting empty directories in %install section. This is 
> default behavior.
Ok.


Package APPROVED.
Comment 8 Miro Hrončok 2012-12-06 08:35:23 EST
New Package SCM Request
=======================
Package Name: perl-ExtUtils-CppGuess
Short Description: Guess C++ compiler and flags
Owners: churchyard
Branches: f17 f18
Comment 9 Jon Ciesla 2012-12-06 08:46:29 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-12-06 09:34:53 EST
perl-ExtUtils-CppGuess-0.07-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-ExtUtils-CppGuess-0.07-3.fc17
Comment 11 Fedora Update System 2012-12-06 09:35:56 EST
perl-ExtUtils-CppGuess-0.07-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-ExtUtils-CppGuess-0.07-3.fc18
Comment 12 Fedora Update System 2012-12-06 15:19:08 EST
perl-ExtUtils-CppGuess-0.07-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-12-15 12:50:29 EST
perl-ExtUtils-CppGuess-0.07-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2013-01-11 18:39:50 EST
perl-ExtUtils-CppGuess-0.07-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.